%define	module	matplotlib
%define	name	python-%{module}
%define	version	0.98.3
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Matlab-style 2D plotting package for Python
Group:		Development/Python
License:	Python license
URL:		http://matplotlib.sourceforge.net/
Source0:	%{module}-%{version}.tar.lzma
Requires:	python >= 2.4, python-numpy >= 1.1.0
Requires:	pygtk2.0, wxPythonGTK, python-cairo >= 1.2.0
Requires:	python-configobj, python-dateutil, python-pytz
Requires:	python-enthought-traits, python-enthought-traits-ui
BuildRequires:	python-devel >= 2.4, python-numpy-devel >= 1.1.0
BuildRequires:	libwxPythonGTK-devel, pygtk2.0-devel, cairo-devel
BuildRequires:	tcl-devel, tk-devel, freetype2-devel >= 2.1.7
BuildRequires:  libpng-devel, zlib-devel 
BuildRequires:	python-configobj, python-dateutil, python-pytz
BuildRequires:	python-enthought-traits, python-enthought-traits-ui
BuildRequires:	python-docutils, python-sphinx, tetex-latex
BuildRequires:	ipython
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Matplotlib is a library for creating publication quality 2D plots of 
arrays in Python. It consists of three conceptual portions:

* the pylab interface - a set of functions that permit one 
  to interactively create plots with code similar to that used in Matlab.
* the matplotlib API - a set of classes that handle figure
  creation management, text, lines, plots, and so on.
* the backends - device dependent rendering systems that transform
  frontend plot representations into various graphic formats 
  (such as PS, PDF, SVG, and PNG) or translate them to display devices 
  (such as figures embedded in GTK+ or Wx applications).

%prep
%setup -q -n %{module}-%{version}

%build
find -name .svn | xargs rm -rf

%__python setup.py build

# Need to make built matplotlib libs available for the sphinx extensions:
pushd doc
export PYTHONPATH=`dir -d ../build/lib.linux*`
./make.py latex
popd

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc license/ examples/ API_CHANGES CHANGELOG INSTALL INTERACTIVE KNOWN_BUGS TODO doc/build/latex/Matplotlib.pdf


%changelog
* Thu Aug 07 2008 Lev Givon <lev@mandriva.org> 0.98.3-1mdv2009.0
+ Revision: 266422
- Update to 0.98.3.
  Build user manual directly from source.

* Thu Jul 17 2008 Lev Givon <lev@mandriva.org> 0.98.2-3mdv2009.0
+ Revision: 237778
- Add traits dependencies.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 0.98.2-2mdv2009.0
+ Revision: 233825
- Add python-pytz and python-dateutil dependencies.
- Update to 0.98.2.
- Update to 0.98.1.

* Sun Jun 01 2008 Lev Givon <lev@mandriva.org> 0.98.0-1mdv2009.0
+ Revision: 214132
- Update to 0.98.0.

* Wed Mar 19 2008 Lev Givon <lev@mandriva.org> 0.91.2-2mdv2008.1
+ Revision: 188792
- Add python-config dependency (39041).

* Wed Jan 09 2008 Lev Givon <lev@mandriva.org> 0.91.2-1mdv2008.1
+ Revision: 147007
- Update to 0.91.2.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Lev Givon <lev@mandriva.org> 0.91.1-2mdv2008.1
+ Revision: 116031
- Replace my patch with the one from the matplotlib developers.

* Wed Dec 05 2007 Lev Givon <lev@mandriva.org> 0.91.1-1mdv2008.1
+ Revision: 115740
- Update to 0.91.1.
  Add patch to fix matplotlib bug 1845057.

* Wed Nov 21 2007 Lev Givon <lev@mandriva.org> 0.90.1-2mdv2008.1
+ Revision: 111043
- Clean up build requirements.

* Sun Jun 03 2007 Lev Givon <lev@mandriva.org> 0.90.1-1mdv2008.0
+ Revision: 34938
- Update to 0.90.1.
  Tweak build deps.


* Mon Mar 19 2007 Lev Givon <lev@mandriva.org> 0.90.0-2mdv2007.1
+ Revision: 146366
- Add user manual.

* Wed Feb 07 2007 Lev Givon <lev@mandriva.org> 0.90.0-1mdv2007.1
+ Revision: 117115
- Update to 0.90.0.

* Fri Jan 26 2007 Lev Givon <lev@mandriva.org> 0.87.7-3mdv2007.1
+ Revision: 114197
- Improve dependency information.

* Sun Dec 10 2006 Lev Givon <lev@mandriva.org> 0.87.7-2mdv2007.1
+ Revision: 94418
- Bump release to force rebuild with Python 2.5.

* Wed Nov 01 2006 Lev Givon <lev@mandriva.org> 0.87.7-1mdv2007.1
+ Revision: 75080
- Update to 0.87.7.

* Wed Nov 01 2006 Lev Givon <lev@mandriva.org> 0.87.6-2mdv2007.1
+ Revision: 75024
- Raise release number to placate build system.
- Update to 0.87.6.
- Import python-matplotlib

* Mon Jul 17 2006 Lev Givon <lev@mandriva.org> 0.87.4-2mdk
- Rebuild against python-numpy 1.0b1.

* Mon Jul 17 2006 Lev Givon <lev@mandriva.org> 0.87.4-1mdk
- Update version.

* Tue Jun 13 2006 Lev Givon <lev@mandriva.org> 0.87.3-1mdk
- Update version.

* Tue Mar 28 2006 Lev Givon <lev@mandriva.org> 0.87.2-3mdk
- add mpl3d module

* Fri Mar 24 2006 Lev Givon <lev@mandriva.org> 0.87.2-2mdk
- make buildreqs backward compatible

* Sun Mar 19 2006 Lev Givon <lev@mandriva.org> 0.87.2-1mdk
- upgrade to 0.87.2
- add numpy dependency

* Fri Feb 03 2006 Lev Givon <lev@mandriva.org> 0.86.2-1mdk
- upgrade to 0.86.2
- fix installation datapath

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.85-1mdk
- 0.85
- fix deps

* Mon Aug 01 2005 Lev Givon <lev@mandriva.org> 0.83.2-1mdk
- upgrade to 0.83.2

* Wed Jul 20 2005 Lenny Cartier <lenny@mandriva.com> 0.82-5mdk
- add examples (Lev Givon)
- add Python license to satisfy rpmlint

* Fri Jul 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-4mdk
- fix buildrequires

* Wed Jul 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-3mdk
- fix requres

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-2mdk
- blah, fix buildrequires

* Fri Jun 17 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-1mdk
- inital release

